POST api/Score/HourClock
课时打卡赠送积分(说明:App和小程序通用)
Request Information
URI Parameters
None.
Body Parameters
参数列表
API_HourClockScore| Name | Description | Type | Additional information |
|---|---|---|---|
| userOpenId |
用户OpenId |
string |
None. |
| courseId |
课程编号 |
integer |
None. |
| courseHourId |
课时编号 |
integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"userOpenId": "sample string 1",
"courseId": 2,
"courseHourId": 3
}
Response Information
Resource Description
返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确 2、当前课程课时打开类型不正确)... 。404:课时打卡信息不存在... 。400:课时打卡不赠送积分或打卡积分赠送失败... 。503:没有查询到打卡记录... 。200:打卡积分赠送成功... 。
ActionResult| Name | Description | Type | Additional information |
|---|---|---|---|
| status |
公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。 |
integer |
None. |
| msg |
消息 |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 1,
"msg": "sample string 2"
}